#### Previous topic

scipy.cluster.hierarchy.inconsistent

#### Next topic

scipy.cluster.hierarchy.maxdists

# scipy.cluster.hierarchy.maxinconsts

`scipy.cluster.hierarchy.``maxinconsts`(Z, R)

  Returns the maximum inconsistency coefficient for each non-singleton cluster and its descendents.

  Parameters:

  Z : ndarray

  > The hierarchical clustering encoded as a matrix. See `linkage` for more information.

  R : ndarray

  > The inconsistency matrix.

  Returns:

  MI : ndarray

  > A monotonic `(n-1)`-sized numpy array of doubles.